extends CPUParticles3D

func activate(score: int) -> void:
	var new_amount: int = int(float(score) / 2.5)
	if new_amount < 1:
		new_amount = 1
	self.amount = new_amount
	self.emitting = true

func _on_finished() -> void:
	self.queue_free()
